package ACL2::Orden::Logic;
use base ACL2::Orden;

#
#   PROGRAM command: switch defun-mode to :program.
#   Copyright (C) 2006-2009 Antonio García Domínguez
#
#    This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

use strict;
use warnings;
use utf8;

use ACL2::Tags;

sub protegido_extraer_sumario
{
    # It doesn't have a summary (it doesn't have any output at all)
    return "";
}

sub protegido_cabecera
{
    $_[1]->startTag(ACL2::Tags::LOGIC_TAG);
}

sub protegido_inicializar_sexpr
{
    # do nothing: there's no output to be processed
}

sub protegido_inicializar_salida
{
    # do nothing: there's no output to be processed
}

sub protegido_cuerpo
{
    # do nothing: there's no info to be dumped
}

1;
